Package rdkit :: Package ML :: Package Descriptors :: Module Descriptors :: Class DescriptorCalculator

[hide private]
[frames] | no frames]

# Class DescriptorCalculator

source code

    abstract base class for descriptor calculators

Instance Methods | [hide private]

ShowDescriptors(self) prints out a list of the descriptors | source code

GetDescriptorNames(self) returns a list of the names of the descriptors this calculator generates | source code

SaveState(self, fileName) Writes this calculator off to a file so that it can be easily loaded later | source code

CalcDescriptors(self, what, *args, **kwargs) | source code

__init__(self, *args, **kwargs) Constructor | source code

Method Details | [hide private]

### SaveState(self, fileName)

source code

    Writes this calculator off to a file so that it can be easily loaded later

    **Arguments**

      - fileName: the name of the file to be written